# Interface HTTPConstantsInterface

All Known Implementing Classes:
  `AccessLogSampler, AjpSampler, HTTPAbstractImpl, HTTPConstants, HTTPFileImpl, HTTPHC3Impl, HTTPHC4Impl, HTTPHCAbstractImpl, HTTPJavaImpl, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, SoapSampler, WebServiceSampler`

public interface HTTPConstantsInterface
Constants used in HTTP, mainly header names.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPLICATION_X_WWW_FORM_URLENCODED`
`static final String`
`CACHE_CONTROL`
`static final String`
`CONNECT`
`static final String`
`CONNECTION_CLOSE`
`static final String`
`COPY`
`static final String`
`DATE`
`static final int`
`DEFAULT_HTTP_PORT`
`static final String`
`DEFAULT_HTTP_PORT_STRING`
`static final int`
`DEFAULT_HTTPS_PORT`
`static final String`
`DEFAULT_HTTPS_PORT_STRING`
`static final String`
`DELETE`
`static final String`
`ENCODING_GZIP`
`static final String`
`ETAG`
`static final String`
`EXPIRES`
`static final String`
`GET`
`static final String`
`HEAD`
`static final String`
`HEADER_AUTHORIZATION`
`static final String`
`HEADER_CONNECTION`
`static final String`
`HEADER_CONTENT_DISPOSITION`
`static final String`
`HEADER_CONTENT_ENCODING`
`static final String`
`HEADER_CONTENT_LENGTH`
`static final String`
`HEADER_CONTENT_TYPE`
`static final String`
`HEADER_COOKIE`
`static final String`
`HEADER_HOST`
`static final String`
`HEADER_LOCAL_ADDRESS`
`static final String`
`HEADER_LOCATION`
`static final String`
`HEADER_SET_COOKIE`
`static final String`
`HTTP_1_1`
`static final String`
`IF_MODIFIED_SINCE`
`static final String`
`IF_NONE_MATCH`
`static final String`
`KEEP_ALIVE`
`static final String`
`LAST_MODIFIED`
`static final String`
`LOCK`
`static final String`
`MKCALENDAR`
`static final String`
`MKCOL`
`static final String`
`MOVE`
`static final String`
`MULTIPART_FORM_DATA`
`static final String`
`OPTIONS`
`static final String`
`PATCH`
`static final String`
`POST`
`static final String`
`PROPFIND`
`static final String`
`PROPPATCH`
`static final String`
`PROTOCOL_HTTP`
`static final String`
`PROTOCOL_HTTPS`
`static final String`
`PUT`
`static final String`
`REPORT`
`static final String`
`TRACE`
`static final String`
`TRANSFER_ENCODING`
`static final String`
`UNLOCK`

## Field Details

### DEFAULT_HTTPS_PORT

static final int DEFAULT_HTTPS_PORT

See Also:
  - Constant Field Values

### DEFAULT_HTTPS_PORT_STRING

static final String DEFAULT_HTTPS_PORT_STRING

See Also:
  - Constant Field Values

### DEFAULT_HTTP_PORT

static final int DEFAULT_HTTP_PORT

See Also:
  - Constant Field Values

### DEFAULT_HTTP_PORT_STRING

static final String DEFAULT_HTTP_PORT_STRING

See Also:
  - Constant Field Values

### PROTOCOL_HTTP

static final String PROTOCOL_HTTP

See Also:
  - Constant Field Values

### PROTOCOL_HTTPS

static final String PROTOCOL_HTTPS

See Also:
  - Constant Field Values

### HEAD

static final String HEAD

See Also:
  - Constant Field Values

### POST

static final String POST

See Also:
  - Constant Field Values

### PUT

static final String PUT

See Also:
  - Constant Field Values

### GET

static final String GET

See Also:
  - Constant Field Values

### OPTIONS

static final String OPTIONS

See Also:
  - Constant Field Values

### TRACE

static final String TRACE

See Also:
  - Constant Field Values

### DELETE

static final String DELETE

See Also:
  - Constant Field Values

### PATCH

static final String PATCH

See Also:
  - Constant Field Values

### PROPFIND

static final String PROPFIND

See Also:
  - Constant Field Values

### PROPPATCH

static final String PROPPATCH

See Also:
  - Constant Field Values

### MKCOL

static final String MKCOL

See Also:
  - Constant Field Values

### COPY

static final String COPY

See Also:
  - Constant Field Values

### MOVE

static final String MOVE

See Also:
  - Constant Field Values

### LOCK

static final String LOCK

See Also:
  - Constant Field Values

### UNLOCK

static final String UNLOCK

See Also:
  - Constant Field Values

### CONNECT

static final String CONNECT

See Also:
  - Constant Field Values

### REPORT

static final String REPORT

See Also:
  - Constant Field Values

### MKCALENDAR

static final String MKCALENDAR

See Also:
  - Constant Field Values

### HEADER_AUTHORIZATION

static final String HEADER_AUTHORIZATION

See Also:
  - Constant Field Values

### HEADER_COOKIE

static final String HEADER_COOKIE

See Also:
  - Constant Field Values

### HEADER_CONNECTION

static final String HEADER_CONNECTION

See Also:
  - Constant Field Values

### CONNECTION_CLOSE

static final String CONNECTION_CLOSE

See Also:
  - Constant Field Values

### KEEP_ALIVE

static final String KEEP_ALIVE

See Also:
  - Constant Field Values

### TRANSFER_ENCODING

static final String TRANSFER_ENCODING

See Also:
  - Constant Field Values

### HEADER_CONTENT_ENCODING

static final String HEADER_CONTENT_ENCODING

See Also:
  - Constant Field Values

### HTTP_1_1

static final String HTTP_1_1

See Also:
  - Constant Field Values

### HEADER_SET_COOKIE

static final String HEADER_SET_COOKIE

See Also:
  - Constant Field Values

### ENCODING_GZIP

static final String ENCODING_GZIP

See Also:
  - Constant Field Values

### HEADER_CONTENT_DISPOSITION

static final String HEADER_CONTENT_DISPOSITION

See Also:
  - Constant Field Values

### HEADER_CONTENT_TYPE

static final String HEADER_CONTENT_TYPE

See Also:
  - Constant Field Values

### HEADER_CONTENT_LENGTH

static final String HEADER_CONTENT_LENGTH

See Also:
  - Constant Field Values

### HEADER_HOST

static final String HEADER_HOST

See Also:
  - Constant Field Values

### HEADER_LOCAL_ADDRESS

static final String HEADER_LOCAL_ADDRESS

See Also:
  - Constant Field Values

### HEADER_LOCATION

static final String HEADER_LOCATION

See Also:
  - Constant Field Values

### APPLICATION_X_WWW_FORM_URLENCODED

static final String APPLICATION_X_WWW_FORM_URLENCODED

See Also:
  - Constant Field Values

### MULTIPART_FORM_DATA

static final String MULTIPART_FORM_DATA

See Also:
  - Constant Field Values

### IF_NONE_MATCH

static final String IF_NONE_MATCH

See Also:
  - Constant Field Values

### IF_MODIFIED_SINCE

static final String IF_MODIFIED_SINCE

See Also:
  - Constant Field Values

### ETAG

static final String ETAG

See Also:
  - Constant Field Values

### LAST_MODIFIED

static final String LAST_MODIFIED

See Also:
  - Constant Field Values

### EXPIRES

static final String EXPIRES

See Also:
  - Constant Field Values

### CACHE_CONTROL

static final String CACHE_CONTROL

See Also:
  - Constant Field Values

### DATE

static final String DATE

See Also:
  - Constant Field Values